import { useState } from 'react'
import { Image } from '@tarojs/components'
import './index.scss'

export default function FilterForHouseType (props) {

  const { change = () => {}, Cancel = () => { }, defaultValue = '-' } = props
  const [CityAreaList] = useState([
    {name: '不限', id: '-'},
    {name: '一室', id: 1},
    {name: '两室', id: 2},
    {name: '三室', id: 3},
    {name: '四室', id: 4},
    {name: '五室以上', id: 5}
  ])
  const [CurrentId, setCurrentId] = useState(defaultValue)

  const CutArea = (id) => {
    return () => {
      setCurrentId(id)
    }
  }

  const Sure = () => {
    change({name: 'houseType', value: CurrentId})
  }

  return (
    <view className='components FilterForHouseType'>
      {
        CityAreaList.map((item, index) => (
          <view className='ListItem' key={`ListItem${index}`} onClick={CutArea(item.id)}>
            <view>
              <view>
                <text>{item.name}</text>
                {
                  CurrentId === item.id &&
                  <Image mode='heightFix' src={require('@/assets/findHouse-icon1.png')}></Image>
                }
              </view>
            </view>
          </view>
        ))
      }
      <view className='Btn flex-h'>
        <view className='flex-item'>
          <text onClick={Cancel}>取消</text>
        </view>
        <view className='flex-item'>
          <text onClick={Sure}>保存</text>
        </view>
      </view>
    </view>
  )
}
